Subject: [PATCH v2 17/17] ASoC: fsl: add imx-sgtl5000 machine driver

From: [email-masked] (Timur Tabi)
Date: Mon, 5 Mar 2012 15:08:06 -0600

Mark Brown wrote:

> That would be *really* bad, simultaneous playback and record is very
> widely used.

Especially since I already have that working on PowerPC.  I went through
great lengths to get the device tree binding and the code working in this
regard.

> If the hardware has constraints on the sample rates the driver should be
> telling the application about this.  For the very common case where you
> need the same rate for playback and record there's framework support for
> doing this, the relevant driver just needs to set the symmetric_rates
> flag and the core will do everything.  

And my driver currently does this.  If the SSI is wired up in synchronous
mode, sample rate/size locking is enabled.

-- 
Timur Tabi
Linux kernel developer at Freescale